## mingw-w64-spirv-headers-2~1.4.328.0-1.src.tar.zst

=== tests/pkg_config/CMakeLists.txt ===
# Copyright (c) 2015-2024 The Khronos Group Inc.
# SPDX-License-Identifier: MIT

cmake_minimum_required(VERSION 3.14)

project(TEST_PKGCONFIG LANGUAGES CXX)

add_library(pkgconfig_example STATIC)

target_sources(pkgconfig_example PRIVATE
    ${CMAKE_CURRENT_SOURCE_DIR}/../example.cpp
)

find_package(PkgConfig REQUIRED)

pkg_check_modules(SPIRV_HEADERS REQUIRED IMPORTED_TARGET SPIRV-Headers)

target_link_libraries(pkgconfig_example PRIVATE
    PkgConfig::SPIRV_HEADERS
)

if (NOT DEFINED SPIRV_HEADERS_VERSION)
    message(FATAL_ERROR "SPIRV_HEADERS_VERSION not defined!")
endif()

message(STATUS "PkgConfig::SPIRV_HEADERS version = ${SPIRV_HEADERS_VERSION}")

=== PKGBUILD ===
# Maintainer: Christoph Reiter <reiter.christoph@gmail.com>
# Contributor: Biswapriyo Nath <nathbappai@gmail.com>

_realname=spirv-headers
pkgbase=mingw-w64-${_realname}
pkgname="${MINGW_PACKAGE_PREFIX}-${_realname}"
epoch=2
pkgver=1.4.328.0
pkgrel=1
pkgdesc='Machine-readable files for the SPIR-V Registry (mingw-w64)'
arch=('any')
mingw_arch=('mingw64' 'ucrt64' 'clang64' 'clangarm64')
url='https://www.khronos.org/registry/spir-v/'
msys2_repository_url="https://github.com/KhronosGroup/SPIRV-Headers"
msys2_references=(
  'anitya: 230542'
  'archlinux: spirv-headers'
  'gentoo: dev-util/spirv-headers'
)
license=('spdx:MIT')
groups=("${MINGW_PACKAGE_PREFIX}-vulkan-devel")
makedepends=("${MINGW_PACKAGE_PREFIX}-cc"
             "${MINGW_PACKAGE_PREFIX}-cmake"
             "${MINGW_PACKAGE_PREFIX}-ninja")
source=(https://github.com/KhronosGroup/SPIRV-Headers/archive/vulkan-sdk-${pkgver}/${_realname}-${pkgver}.tar.gz)
sha256sums=('00284a33e1e19014723c8e88ca7a16e8988cd23f839ec2b7da6bb1808fd2a751')

prepare() {
  cd SPIRV-Headers-vulkan-sdk-${pkgver}
}

build() {
  mkdir -p build-${MSYSTEM} && cd build-${MSYSTEM}

  MSYS2_ARG_CONV_EXCL="-DCMAKE_INSTALL_PREFIX=" \
  ${MINGW_PREFIX}/bin/cmake.exe \
    -G "Ninja" \
    -DCMAKE_INSTALL_PREFIX=${MINGW_PREFIX} \
    ../SPIRV-Headers-vulkan-sdk-${pkgver}

  ${MINGW_PREFIX}/bin/cmake.exe --build ./
}

package() {
  cd "${srcdir}"/build-${MSYSTEM}
  DESTDIR="${pkgdir}" ${MINGW_PREFIX}/bin/cmake.exe --install ./

  install -Dm644 "${srcdir}"/SPIRV-Headers-vulkan-sdk-${pkgver}/README.md "${pkgdir}"${MINGW_PREFIX}/share/doc/${_realname}/README.md
  install -Dm644 "${srcdir}"/SPIRV-Headers-vulkan-sdk-${pkgver}/LICENSE "${pkgdir}"${MINGW_PREFIX}/share/licenses/${_realname}/LICENSE
}
